# boost::numeric::ublas::mutable_container_traits< E > Struct Template Reference

Traits class to extract additional type information from a mutable matrix or vector CONTAINER. More...

Inherited by boost::numeric::ublas::container_traits< E >`[private]`.

List of all members.

## Public Types
typedef E::reference | reference
| reference to an element
typedef E::closure_type | closure_type
| type used in expressions to mark a reference to this class (usually a container_reference<E> or the class itself)

## Detailed Description

### template<class E>
struct boost::numeric::ublas::mutable_container_traits< E >